initial_extensions = ['standard.standard', 'nsfw.hentai', 'anime.anime', 'standard.member', 'games.overwatch', 'admin.roles', 'admin.usage', 'web.misc']
admin_roles = ['Developer', 'Territoriale Uitbreiding', 'Dijhoog', 'Absoluut Territorium', 'Speciaaltje']
dev_ids = [138679605237252096, 208692033412399104]
owner_id = 138679605237252096


def is_owner(ctx):
    return ctx.author.id == owner_id


def is_dev(ctx):
    return ctx.author.id in dev_ids


def is_admin(ctx):
    n = len([r.name for r in ctx.author.roles if r.name in admin_roles])
    return n > 0


def is_dev_or_admin(ctx):
    return is_dev(ctx) or is_admin(ctx)


def is_owner_or_admin(ctx):
    return is_owner(ctx) or is_admin(ctx)